import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()


setuptools.setup(
    name="optimpy", # Replace with your own username
    version="1.0.0",
    author="Armando Ortíz Peñafiel",
    author_email="armandopenafiel12@gmail.com",
    description="Heuristic optimization algorithms for general use.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/JAOP1/Optimpy",
    packages=setuptools.find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        'Development Status :: 3 - Alpha'
    ],
    keywords=[
        "optimization",
        "heuristic"
    ],
    install_requires=[
        "numpy",
        "tqdm",
    ],
    python_requires='>=3.6',
)